Public Member Functions | Private Member Functions | Private Attributes | List of all members
STOFFGraphicDecoder Class Reference

main class used to decode a librevenge::RVNGBinaryData created by More...

`#include <STOFFGraphicDecoder.hxx>`

Inheritance diagram for STOFFGraphicDecoder:

## Public Member Functions
| STOFFGraphicDecoder (librevenge::RVNGDrawingInterface *output)
| constructor
| ~STOFFGraphicDecoder () override
| destructor
void | insertElement (const char *psName) override
| insert an element
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList) override
| insert an element ( with a librevenge::RVNGPropertyList )
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList, const librevenge::RVNGPropertyListVector &vector)
| insert an element ( with a librevenge::RVNGPropertyListVector parameter )
void | characters (const librevenge::RVNGString &sCharacters) override
| insert a sequence of character
Public Member Functions inherited from STOFFPropertyHandler
| STOFFPropertyHandler ()
| constructor
virtual | ~STOFFPropertyHandler ()
| destructor
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder

## Private Member Functions
| STOFFGraphicDecoder (STOFFGraphicDecoder const &)
| copy constructor (undefined)
STOFFGraphicDecoder | operator= (STOFFGraphicDecoder const &)
| operator= (undefined)

## Private Attributes
librevenge::RVNGDrawingInterface * | m_output
| the interface output

## Detailed Description

main class used to decode a librevenge::RVNGBinaryData created by

See also
  STOFFGraphicEncoder (with mimeType="image/stoff-odg") and to send it contents to librevenge::RVNGDrawingInterface

## Constructor & Destructor Documentation

## ◆ STOFFGraphicDecoder() [1/2]

STOFFGraphicDecoder::STOFFGraphicDecoder | ( | librevenge::RVNGDrawingInterface * | output | ) |
| inline explicit

constructor

## ◆ ~STOFFGraphicDecoder()

STOFFGraphicDecoder::~STOFFGraphicDecoder | ( |  | ) |
| inline override

destructor

## ◆ STOFFGraphicDecoder() [2/2]

STOFFGraphicDecoder::STOFFGraphicDecoder | ( | STOFFGraphicDecoder const & |  | ) |
| private

copy constructor (undefined)

## Member Function Documentation

## ◆ characters()

void STOFFGraphicDecoder::characters | ( | const librevenge::RVNGString & | sCharacters | ) |
| inline override virtual

insert a sequence of character

Implements STOFFPropertyHandler.

## ◆ insertElement() [1/3]

void STOFFGraphicDecoder::insertElement | ( | const char * | psName | ) |
| override virtual

insert an element

Implements STOFFPropertyHandler.

## ◆ insertElement() [2/3]

void STOFFGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList )
| override virtual

insert an element ( with a librevenge::RVNGPropertyList )

Implements STOFFPropertyHandler.

## ◆ insertElement() [3/3]

void STOFFGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList,
|  | const librevenge::RVNGPropertyListVector & | vector )

insert an element ( with a librevenge::RVNGPropertyListVector parameter )

## ◆ operator=()

STOFFGraphicDecoder STOFFGraphicDecoder::operator= | ( | STOFFGraphicDecoder const & |  | ) |
| private

operator= (undefined)

## Member Data Documentation

## ◆ m_output

librevenge::RVNGDrawingInterface* STOFFGraphicDecoder::m_output
| private

the interface output

Referenced by characters(), insertElement(), and insertElement().

The documentation for this class was generated from the following files:

- STOFFGraphicDecoder.hxx
- STOFFGraphicDecoder.cxx